library(tidyverse)

flips <- tibble(
  outcomes = 0:10,
  prob = dbinom(0:10,size=10,prob=0.5)
)
flips

ggplot(data = flips, mapping = aes(x = outcomes, y = prob)) +
  geom_col() +
  scale_x_continuous(breaks = 0:10) +
  scale_y_continuous(limits = c(0,.3)) +
  labs(y = "Probability", x = "X = Number of Heads in 10 coin flips.")


# P(X=6) = P(X ≤ 6) - P(X ≤ 5)
pbinom(6, size=10, prob=.5) - pbinom(5, size=10, prob=.5)

