library(tidyverse)

ggplot(data.frame(x=c(-7, 7)), aes(x=x)) +
  stat_function(fun = dnorm, args = list(mean = 0, sd = 2), geom = "line") +
  stat_function(fun = dnorm, args = list(mean = 0, sd = 2), geom = "area", fill = "steelblue", alpha = 0.25, xlim=c(-7,3)) +
  scale_x_continuous(breaks = -7:7) +
  labs(y = "Probability", x = "X")


# P(X ≤ 3) = blue-shaded left tail area = P(X < 3)
pnorm(3, mean=0, sd=2)


# P(X > 3) = non-shaded right tail area = P(X ≥ 3)
1 - pnorm(3, mean=0, sd=2)


