library(tidyverse)

num_rolls <- 10
# Probabilities for Total Number of 1's in num_rolls of a fair die
rolls <- tibble(
  outcomes = 0:num_rolls,
  prob = dbinom(0:num_rolls,size=num_rolls,prob=1/6)
)
rolls

ggplot(data = rolls, mapping = aes(x = outcomes, y = prob)) +
  geom_col() +
  scale_y_continuous(limits =c(0,.33)) +
  scale_x_continuous(breaks = 0:num_rolls) +
  labs(y = "Probability", x = paste("X = Number of 1's in", num_rolls, "rolls of a die."))

# P(X=8) for bin(10,1/6)
pbinom(8, size=10, prob=1/6) - pbinom(7, size=10, prob=1/6)

# Same thing using Binomial Formula
choose(10,8)*(1/6)^8*(1-1/6)^2   # P(x=8)





